version: 2
updates:
  - package-ecosystem: "github-actions"
    directory: "/"
    schedule:
      interval: "weekly"
      day: "sunday"
    target-branch: "develop"
    ignore:
      - dependency-name: "*"
        update-types: ["version-update:semver-patch"]

  - package-ecosystem: "pip"
    directory: "/"
    open-pull-requests-limit: 10
    schedule:
      interval: "daily"
    target-branch: "v2"
    labels:
      - "dependencies"
      - "v2"
    allow:
      - dependency-name: "PyInstaller"
      - dependency-name: "flit_core"
      - dependency-name: "colorama"
      - dependency-name: "docutils"
      - dependency-name: "cryptography"
      - dependency-name: "awscrt"
      - dependency-name: "ruamel.yaml"
      - dependency-name: "ruamel.yaml.clib"
      - dependency-name: "prompt-toolkit"
      - dependency-name: "distro"
      - dependency-name: "python-dateutil"
      - dependency-name: "jmespath"
      - dependency-name: "urllib3"
      - dependency-name: "wheel"
    ignore:
      - dependency-name: "urllib3"
        update-types: ["version-update:semver-major"]

  - package-ecosystem: "pip"
    directory: "/"
    open-pull-requests-limit: 10
    schedule:
      interval: "weekly"
      day: "sunday"
    target-branch: "develop"
    labels:
      - "dependencies"
      - "v1"
    allow:
      - dependency-name: "colorama"
      - dependency-name: "docutils"
      - dependency-name: "pyyaml"
      - dependency-name: "wheel"
      - dependency-name: "rsa"
